/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Offline教材 AICC基本レコードクラス
//			変更履歴
//				2004.01.08	新規作成	滝島　英幸
//
package jp.co.ntt.lms.lo.Offline.Aicc;

/**
 * AiccログをDBに格納する為の基本情報を保持するクラスです。
 */
public class AiccBaseRecord {

	// 全レコードクラス共通変数
	/** ユーザID */
	private String mUserID = "";

	/** LOID */
	private String mLoID = "";

	/** セッションID */
	private String mSessionID = "";

	/** UID */
	private String mstrUid = "";

	// Interaction,Comment,Objectives共通変数
	/** コースID */
	private String mCourseID = "";

	/** BlockID */
	private String mBlockID = "";

	/** 学習者ID */
	private String mStudentID = "";

	/** レッスンID */
	private String mLessonID = "";

	/** 日付 */
	private String mDate = "";

	/** 時間 */
	private String mTime = "";

	/**
	 * ユーザIDを設定します。
	 * @param String ユーザID
	 */
	public void setUserID(String strUserID ){
		mUserID = strUserID;
	}
	/**
	 * ユーザIDを返却します。
	 * @return ユーザID
	 */
	public String getUserID(){
		return mUserID;
	}
	/**
	 * LoIDを設定します。
	 * @param String LoID
	 */
	public void setLoID(String strLoID ){
		mLoID = strLoID;
	}
	/**
	 * LoIDを返却します。
	 * @return LoID
	 */
	public String getLoID(){
		return mLoID;
	}
	/**
	 * セッションIDを設定します。
	 * @param String セッションID
	 */
	public void setSessionID(String strSessionID ){
		mSessionID = strSessionID;
	}
	/**
	 * セッションIDを返却します。
	 * @return セッションID
	 */
	public String getSessionID(){
		return mSessionID;
	}


	/**
	 * UIDを設定します。
	 * @param String UID
	 */
	public void setUid(String strUid) {
		mstrUid = strUid;
	}
	/**
	 * UIDを取得します。
	 * @return String UID
	 */
	public String getUid() {
		return mstrUid;
	}




	/**
	 * コースIDを設定します。
	 * @param String
	 */
	public void setCourseID(String strCourseID ){
		mCourseID = strCourseID;
	}
	/**
	 * コースIDを返却します。
	 * @return コースID
	 */
	public String getCourseID(){
		return mCourseID;
	}
	/**
	 * SCOIDを設定します。
	 * @param strScoID SCOID
	 */
	public void setBlockID(String strBlockID) {
		mBlockID = strBlockID;
	}
	/**
	 * SCOIDを返却します
	 * @return String SCOID
	 */
	public String getBlockID() {
		return mBlockID;
	}
	/**
	 * 学習者IDを設定します。
	 * @param String
	 */
	public void setStudentID(String strStudentID ){
		mStudentID = strStudentID;
	}
	/**
	 * 学習者IDを返却します。
	 * @return LoID
	 */
	public String getStudentID(){
		return mStudentID;
	}
	/**
	 * レッスンIDを設定します。
	 * @param String
	 */
	public void setLessonID(String strLessonID ){
		mLessonID = strLessonID;
	}
	/**
	 * レッスンIDを返却します。
	 * @return レッスンID
	 */
	public String getLessonID(){
		return mLessonID;
	}
	/**
	 * 日付を設定します。
	 * @param String
	 */
	public void setDate(String strDate ){
		mDate = strDate;
	}
	/**
	 * 日付を返却します。
	 * @return 日付
	 */
	public String getDate(){
		return mDate;
	}
	/**
	 * 時間を設定します。
	 * @param String
	 */
	public void setTime(String strTime ){
		mTime = strTime;
	}
	/**
	 * 時間を返却します。
	 * @return 時間
	 */
	public String getTime(){
		return mTime;
	}



}



